- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Functions
gcleanup_unix.cpp File Reference
`#include "gdef.h"`
`#include "gcleanup.h"`
`#include "gprocess.h"`
`#include "groot.h"`
`#include "glog.h"`
`#include <signal.h>`

Go to the source code of this file.

## Classes
class | G::CleanupImp
| A private implementation class used by G::Cleanup. More...

## Namespaces
| G
| Low-level classes.

## Typedefs
typedef void(* | Handler) (int)

## Functions
void | gcleanup_unix_handler_ (int signum)

## Typedef Documentation

typedef void(* Handler) (int)

Definition at line 31 of file gcleanup_unix.cpp.

## Function Documentation

void gcleanup_unix_handler_ | ( | int | signum | ) |

Definition at line 165 of file gcleanup_unix.cpp.

References G::CleanupImp::callHandlers(), G::Process::errno_(), and G::CleanupImp::installDefault().